<?php
namespace App\Admin\Actions\Grid;


use App\Admin\Forms\ProductAudit as ProductAuditForm;
use Dcat\Admin\Grid\BatchAction;
use Dcat\Admin\Grid\RowAction;
use Dcat\Admin\Widgets\Modal;

class ProductAudit extends RowAction
{


    public function title()
    {
        return  admin_trans_label('product_audit');
    }


    public function render()
    {
        $form = ProductAuditForm::make()->payload(['id' => $this->getKey(),'review_reply'=>$this->row->review_reply]);
        // 实例化表单类
        return Modal::make()
            ->lg()
            ->title($this->title)
            ->body($form)
            ->button($this->title());
    }




}
